Package org.freeplane.plugin.script

# Class FreeplaneScriptBaseClass.ConfigProperties

java.lang.Object
org.freeplane.plugin.script.FreeplaneScriptBaseClass.ConfigProperties

Enclosing class:
  `FreeplaneScriptBaseClass`

public static class FreeplaneScriptBaseClass.ConfigProperties extends Object

Accessor for Freeplane's configuration: In scripts available as "global variable" `config`

In case you compile groovy source code for packaging it as a jar with a Freeplane add-on, global variable `config` is not available. To make it available, add the following import:

     import static org.freeplane.plugin.script.GroovyStaticImports.*

## Constructor Summary

Constructors
Constructor
Description
`ConfigProperties()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getArrayProperty(String key, String separator)`
`String`
`getAt(String name)`
support config['key'] from Groovy.
`boolean`
`getBooleanProperty(String key)`
`boolean`
`getBooleanProperty(String key, boolean defaultValue)`
`Color`
`getColorProperty(String name)`
`String`
`getDefaultLanguageCode()`
`String`
`getDefaultProperty(String key)`
`double`
`getDoubleProperty(String key)`
`double`
`getDoubleProperty(String key, double defaultValue)`
`<T extends Enum<T>>
T`
`getEnumProperty(String propertyName, Enum<T> defaultValue)`
`String`
`getFreeplaneUserDirectory()`
`Icon`
`getIcon(String iconKey)`
`URL`
`getIconResource(String resourcePath)`
`Icon`
`getImageIcon(String iconKey)`
`String`
`getInstallationBaseDir()`
`int`
`getIntProperty(String key)`
`int`
`getIntProperty(String key, int defaultValue)`
`String`
`getLanguageCode()`
`int`
`getLengthProperty(String name)`
`Quantity<LengthUnit>`
`getLengthQuantityProperty(String name)`
`long`
`getLongProperty(String key, long defaultValue)`
`Properties`
`getProperties()`
`String`
`getProperty(String key)`
`boolean`
`getProperty(String key, boolean defaultValue)`
`double`
`getProperty(String key, double defaultValue)`
`int`
`getProperty(String key, int defaultValue)`
`long`
`getProperty(String key, long defaultValue)`
`<T extends Enum<T>>
T`
`getProperty(String propertyName, Enum<T> defaultValue)`
`String`
`getProperty(String key, String value)`
`Collection<org.freeplane.core.resources.IFreeplanePropertyListener>`
`getPropertyChangeListeners()`
`URL`
`getResource(String resourcePath)`
`String`
`getResourceBaseDir()`
`ResourceBundle`
`getResources()`
`InputStream`
`getResourceStream(String resFileName)`
`Locale`
`getSystemLocale()`
`int`
`getTimeProperty(String name)`
`Quantity<org.freeplane.core.ui.TimePeriodUnits>`
`getTimeQuantityProperty(String name)`
`void`
`setAt(String name, String value)`
`void`
`setDefaultProperty(String key, String value)`
`void`
`setProperty(String property, boolean value)`
`void`
`setProperty(String name, double value)`
`void`
`setProperty(String name, int value)`
`void`
`setProperty(String name, long value)`
`void`
`setProperty(String property, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigProperties

public ConfigProperties()

## Method Details

### getBooleanProperty

public boolean getBooleanProperty(String key)

### getBooleanProperty

public boolean getBooleanProperty(String key, boolean defaultValue)

### getProperty

public boolean getProperty(String key, boolean defaultValue)

### getEnumProperty

public <T extends Enum<T>> T getEnumProperty(String propertyName, Enum<T> defaultValue)

### getProperty

public <T extends Enum<T>> T getProperty(String propertyName, Enum<T> defaultValue)

### getDoubleProperty

public double getDoubleProperty(String key)

### getDoubleProperty

public double getDoubleProperty(String key, double defaultValue)

### getProperty

public double getProperty(String key, double defaultValue)

### getIntProperty

public int getIntProperty(String key)

### getIntProperty

public int getIntProperty(String key, int defaultValue)

### getProperty

public int getProperty(String key, int defaultValue)

### getLongProperty

public long getLongProperty(String key, long defaultValue)

### getProperty

public long getProperty(String key, long defaultValue)

### getLengthProperty

public int getLengthProperty(String name)

### getLengthQuantityProperty

public Quantity<LengthUnit> getLengthQuantityProperty(String name)

### getTimeProperty

public int getTimeProperty(String name)

### getTimeQuantityProperty

public Quantity<org.freeplane.core.ui.TimePeriodUnits> getTimeQuantityProperty(String name)

### getColorProperty

public Color getColorProperty(String name)

### getProperty

public String getProperty(String key)

### getProperty

public String getProperty(String key, String value)

### getDefaultProperty

public String getDefaultProperty(String key)

### getPropertyChangeListeners

public Collection<org.freeplane.core.resources.IFreeplanePropertyListener> getPropertyChangeListeners()

### getResource

public URL getResource(String resourcePath)

### getResourceStream

public InputStream getResourceStream(String resFileName) throws IOException

Throws:
  `IOException`

### getResourceBaseDir

public String getResourceBaseDir()

### getInstallationBaseDir

public String getInstallationBaseDir()

### getLanguageCode

public String getLanguageCode()

### getDefaultLanguageCode

public String getDefaultLanguageCode()

### setDefaultProperty

public void setDefaultProperty(String key, String value)

### setProperty

public void setProperty(String property, boolean value)

### setProperty

public void setProperty(String name, int value)

### setProperty

public void setProperty(String name, long value)

### setProperty

public void setProperty(String name, double value)

### setProperty

public void setProperty(String property, String value)

### getIcon

public Icon getIcon(String iconKey)

### getIconResource

public URL getIconResource(String resourcePath)

### getImageIcon

public Icon getImageIcon(String iconKey)

### getSystemLocale

public Locale getSystemLocale()

### getArrayProperty

public String[] getArrayProperty(String key, String separator)

### getProperties

public Properties getProperties()

### getAt

public String getAt(String name)
support config['key'] from Groovy.

### setAt

public void setAt(String name, String value)

### getResources

public ResourceBundle getResources()

### getFreeplaneUserDirectory

public String getFreeplaneUserDirectory()